<?php
class Cinegrafista
{
	public  $qry;
	private	$sql;
	private $from = 'cinegrafista';
	private $id = 'id_cinegrafista';
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}
	public function Select($id = 0)
	{
		$this->sql = "select id_cinegrafista, nome, telefone, celular, email, obs, data_cadastro, 
								endereco, cidade, bairro, cep 
								from cinegrafista";
		if ($id != 0) {
			$this->sql .= " where $this->id = $id and ";
		} else {
			$this->sql .= ' where ';
		}
		$this->sql .= "id_empresa = $this->id_empresa limit 1";

		$this->execulta();
	}



	public function VerificarDuplicidade($valor, $campo)
	{
		$valor = addslashes($valor);
		$this->sql = "select $campo from cinegrafista
						  where $campo = '$valor'
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function Insert($nome, $telefone, $celular, $email, $obs, $endereco, $cidade, $bairro, $cep)
	{
		$data_cadastro = date('Y/m/d');
		$nome     = addslashes($nome);
		$obs	  = addslashes($obs);
		$endereco =  addslashes($endereco);
		$cidade	  = addslashes($cidade);
		$bairro   = addslashes($bairro);

		$this->sql = "INSERT INTO cinegrafista
						(nome, telefone, celular, email, obs, endereco, cidade, bairro, cep, data_cadastro, id_empresa)
						VALUES
						('$nome', '$telefone', '$celular', '$email', '$obs', '$endereco', '$cidade', '$bairro', '$cep', '$data_cadastro', '$this->id_empresa')";
		$this->execulta();
		return mysqli_insert_id();
	}


	public function Upadate($id, $nome, $telefone, $celular, $email, $obs, $endereco, $cidade, $bairro, $cep)
	{
		$nome    = addslashes($nome);
		$obs	 = addslashes($obs);
		$endereco =  addslashes($endereco);
		$cidade	 = addslashes($cidade);
		$bairro  = addslashes($bairro);

		$this->sql = "UPDATE cinegrafista
							SET 
							nome = '$nome',
							telefone = '$telefone',
							celular = '$celular',
							email = '$email',
							obs = '$obs',
							endereco = '$endereco',
							cidade = '$cidade',
							bairro = '$bairro',
							cep = '$cep' 
							WHERE id_cinegrafista = $id";
		$this->execulta();
	}


	public function Delete($id)
	{
		$this->sql = "delete from $this->from
							where $this->id = '$id'";
		$this->execulta();
	}


	public function Localizar($Localizador, $categoria = '-1')
	{
		$Localizador = addslashes($Localizador);

		$this->sql = "select $this->id, nome, telefone, celular, bairro
							  from $this->from 
							  where nome like '%$Localizador%' 
							  and id_empresa = $this->id_empresa";

		$this->execulta();
	}
}
